import { Body, Controller, Post } from '@nestjs/common'
import { AuthService } from './auth.service'
import { ApiTags } from '@nestjs/swagger'
import { AuthEntity } from './entity/auth.entity'
import { LoginDto } from './dto/login.dto'

@ApiTags('auth')
@Controller('auth')
export class AuthController {
  constructor(private readonly authService: AuthService) {}

  /**
   * Se connecter par nom et mot de passe pour récupérer un jeton de connexion.
   * 
   * @throws {401} Mot de passe incorrect.
   */
  @Post('login')
  async login(@Body() { name, password }: LoginDto): Promise<AuthEntity> {
    return await this.authService.login(name, password)
  }
}
