import { ApiProperty } from "@nestjs/swagger"
import { Type } from "class-transformer"
import { IsBoolean, IsInt, IsOptional } from "class-validator"
import { BooleanTransform } from "src/common/utils/transform.utils"

export class CreateChallengeActionDto {
  @IsInt()
  @Type(() => Number)
  @ApiProperty({ description: "Identifiant du défi rattaché à l'action" })
  challengeId: number

  @IsOptional()
  @IsBoolean()
  @BooleanTransform()
  @ApiProperty({ description: "Est-ce que le défi a été réussi", default: false })
  success: boolean = false
}
