import { ApiProperty } from "@nestjs/swagger"
import { Type } from "class-transformer"
import { IsBoolean, IsInt, IsOptional } from "class-validator"
import { BooleanTransform } from "src/common/utils/transform.utils"

export class FilterChallengeActionsDto {
  @IsOptional()
  @IsInt()
  @Type(() => Number)
  @ApiProperty({ description: "Identifiant de læ joueur⋅se qui effectue le défi", required: false })
  playerId?: number

  @IsOptional()
  @IsInt()
  @Type(() => Number)
  @ApiProperty({ description: "Identifiant du défi attaché à cette action", required: false })
  challengeId?: number

  @IsOptional()
  @IsBoolean()
  @BooleanTransform()
  @ApiProperty({ description: "Défi réussi", required: false })
  success?: boolean
}