import { ApiProperty } from "@nestjs/swagger"
import { Type } from "class-transformer"
import { IsInt, IsString } from "class-validator"

export class CreateChallengeDto {
  @IsString()
  @ApiProperty({ description: "Titre du défi" })
  title: string

  @IsString()
  @ApiProperty({ description: "Description du défi, de l'action à réaliser" })
  description: string

  @IsInt()
  @Type(() => Number)
  @ApiProperty({ description: "Récompense en nombre de points en cas de réussite de læ joueur⋅se" })
  reward: number
}
