import { ApiProperty } from "@nestjs/swagger"
import { Challenge } from "@prisma/client"
import { IsOptional } from "class-validator"
import { ChallengeActionEntity } from "src/challenge-actions/entities/challenge-action.entity"

export class ChallengeEntity implements Challenge {
  constructor(partial: Partial<ChallengeEntity>) {
    Object.assign(this, partial)
    if (this.action)
      this.action = new ChallengeActionEntity(this.action)
  }

  @ApiProperty({ description: "Identifiant unique" })
  id: number

  @ApiProperty({ description: "Titre du challenger" })
  title: string

  @ApiProperty({ description: "Description du challenge, de l'action à réaliser" })
  description: string

  @ApiProperty({ description: "Récompense en nombre de points en cas de réussite du challenger" })
  reward: number

  @IsOptional()
  @ApiProperty({ description: "Action réalisée sur ce défi" })
  action?: ChallengeActionEntity
}
