import { ApiProperty } from '@nestjs/swagger'
import { Type } from 'class-transformer'
import { IsNumber, IsOptional } from 'class-validator'

export class QueryPaginationDto {
  @IsOptional()
  @IsNumber()
  @Type(() => Number)
  @ApiProperty({default: 1, required: false, description: "Numéro de page à charger"})
  page?: number = 1

  @IsOptional()
  @IsNumber()
  @Type(() => Number)
  @ApiProperty({default: 20, required: false, description: "Nombre d'éléments à charger par page"})
  size?: number = 20
}
