import { ApiProperty } from "@nestjs/swagger"
import { Geolocation } from "@prisma/client"

export class GeolocationEntity implements Geolocation {
  constructor(partial: Partial<GeolocationEntity>) {
    Object.assign(this, partial)
  }

  @ApiProperty({description: "Identifiant unique"})
  id: number

  @ApiProperty({description: "Joueur⋅se ayant émis la géolocalisation"})
  playerId: number

  @ApiProperty({description: "Longitude en degrés"})
  longitude: number

  @ApiProperty({description: "Latitude en degrés"})
  latitude: number

  @ApiProperty({description: "Vitesse en mètres par seconde"})
  speed: number

  @ApiProperty({description: "Précision en mètres de la position obtenue"})
  accuracy: number

  @ApiProperty({description: "Altitude en mètres"})
  altitude: number

  @ApiProperty({description: "Précision de l'altitude en mètres"})
  altitudeAccuracy: number

  @ApiProperty({description: "Date et heure de capture de la géolocalisation"})
  timestamp: Date
}
