import { PlayerRun } from "@prisma/client"

export class RunEntity implements PlayerRun {
  constructor(partial: Partial<RunEntity>) {
    Object.assign(this, partial)
  }

  /**
   * Identifiant unique de la tentative
   */
  id: number

  /**
   * Identifant de l'objet de la partie
   */
  gameId: number

  /**
   * Identifiant de læ joueur⋅se actuellement en course
   */
  runnerId: number

  /**
   * Date et heure de début de course
   */
  start: Date

  /**
   * Date et heure de fin de course
   */
  end: Date | null
}
