import { Injectable } from '@nestjs/common'
import { PlayerRun } from '@prisma/client'
import { QueryPaginationDto } from 'src/common/dto/pagination-query.dto'
import { paginate } from 'src/common/utils/pagination.utils'
import { PrismaService } from 'src/prisma/prisma.service'

@Injectable()
export class RunsService {
  constructor(private prisma: PrismaService) {}

  async findAll(queryPagination: QueryPaginationDto): Promise<[PlayerRun[], number]> {
    return [
      await this.prisma.playerRun.findMany({ ...paginate(queryPagination) }),
      await this.prisma.playerRun.count(),
    ]
  }

  async findOne(id: number): Promise<PlayerRun> {
    return await this.prisma.playerRun.findUnique({ where: { id } })
  }
}
