import { ApiProperty } from "@nestjs/swagger"
import { TrainTrip } from "@prisma/client"
import { JsonValue } from "@prisma/client/runtime/library"

export class TrainEntity implements TrainTrip {
  constructor (partial: Partial<TrainEntity>) {
    Object.assign(this, partial)
  }

  /**
   * Identifiant du train, donné par l'identifiant de partage Interrail
   */
  id: string

  /**
   * Identifiant de læ joueur⋅se effectuant le trajet
   */
  playerId: number

  /**
   * Distance estimée en mètres du trajet
   */ 
  distance: number

  /**
   * Nom de la gare de départ
   */
  from: string

  /**
   * Nom de la gare d'arrivée
   */
  to: string

  /**
   * Date et heure de départ du train
   */
  departureTime: Date

  /**
   * Date et heure d'arrivée du train"
   */
  arrivalTime: Date

  /**
   * Informations JSON supplémentaires transmises par Interrail
   */
  infoJson: JsonValue

  /**
   * Identifiant de la course pendant laquelle ce train a été emprunté
   */
  runId: number
}
